Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class ShowPath

    java.lang.Object
      |
      +--oracle.jbo.server.util.ShowPath

public class ShowPath
extends java.lang.Object

Commandline utility to check or show the state of semicolon-separated lists of directories or files.

Version:
  0.2 29th July 1999 - added ability to read path from file

Constructor Summary
`ShowPath()`

Method Summary
`static boolean` | `CheckPath()` Checks that each element (directory or file) on the path exists, and that it isn't defined twice.
`static void` | `DumpPath()` Prints the elements in the pathstring one line at a time.
`static void` | `main(java.lang.String[] args)`
`static boolean` | `RemovePath()`
`static void` | `Usage()` Describe how to use this class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowPath

    public ShowPath()

Method Detail

### main

    public static void main(java.lang.String[] args)

### DumpPath

    public static void DumpPath()

  Prints the elements in the pathstring one line at a time. Any elements which do not exist are prefixed with an asterisk Any elements which are duplicates are marked with a chevron >

### CheckPath

    public static boolean CheckPath()

  Checks that each element (directory or file) on the path exists, and that it isn't defined twice.
  Returns:
    false if any elements don't exist, or are dups true otherwise

### RemovePath

    public static boolean RemovePath()

### Usage

    public static void Usage()

  Describe how to use this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD